Skip to main content
POST
/
v1
/
api-keys
Create a new API key
curl --request POST \
  --url https://api.suprlogs.com/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ownerType": "user",
  "clerkOwnerId": "<string>",
  "name": "<string>",
  "scopeMode": "all_projects",
  "projectIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "plaintextKey": "<string>",
  "apiKey": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key_prefix": "<string>",
    "scope_mode": "all_projects",
    "project_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}

Authorizations

Authorization
string
header
required

Send API key as Authorization: Bearer .

Body

application/json
ownerType
enum<string>
required
Available options:
user,
org
clerkOwnerId
string
required
name
string
required
scopeMode
enum<string>
required
Available options:
all_projects,
selected_projects
projectIds
string<uuid>[]

Response

API key created (plaintext shown once).

plaintextKey
string
apiKey
object